Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(8981)

Issue 363880043: Chord names clean-up; no more Banter, exceptionsPartial or \powerChords. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years, 11 months ago by Valentin Villenave
Modified:
2 years, 10 months ago
Reviewers:
dak
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

Chord names clean-up; no more Banter, exceptionsPartial or \powerChords. This rather large patch - removes the legacy code for unsupported non-Ignatzek chord names; that code hasn’t been working properly for nearly 15 years anyway, see https://lists.gnu.org/archive/html/lilypond-user/2008-08/msg00288.html - stores a version of this code, with minor corrections, as a self-contained snippet (for historical purposes mainly), both on the LSR (as an upgrade to snippet #102) and in a dedicated subsection of the Snippets doc page. - as a result, chord-generic-names.scm is no longer found in scm/ and the chord-names-jazz.ly doc chart no longer includes any alternative chord naming systems (that were already broken anyway). - chordNamesExceptionsFull and chordNamesExceptionsPartial properties have been removed as well (both having no longer had any effect whatsoever for quite some time). - the main (and now only) chordNamesExceptions property def has been slightly updated for slightly neater glyphs and spacing, and so as to now include power chords by default; as a result, \powerChords is no longer needed, thereby solving any possible confusion with \germanChords and the like. (I can’t think of any case where users would explicitely type \chords{c:5} in order to get the same output as \chords{c} -- can you?) - the documentation has been updated as well; convert rules have been added (although these may be merged with previous 2.21.0 rules once the release cycle gets back on track).

Patch Set 1 #

Patch Set 2 : A slightly better example in Doc/notation/fretted-strings #

Patch Set 3 : Add new doc files (fixes `make’ and `make doc’). #

Patch Set 4 : Rebase onto current master #

Patch Set 5 : OK, let’s not create a new @rlsr section just yet. #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+381 lines, -746 lines) Patch
M Documentation/changes.tely View 1 2 3 4 1 chunk +11 lines, -0 lines 0 comments Download
M Documentation/de/notation/fretted-strings.itely View 1 2 3 3 chunks +8 lines, -36 lines 0 comments Download
M Documentation/de/notation/notation-appendices.itely View 2 chunks +0 lines, -2 lines 0 comments Download
M Documentation/es/notation/fretted-strings.itely View 1 2 3 3 chunks +8 lines, -37 lines 0 comments Download
M Documentation/es/notation/notation-appendices.itely View 2 chunks +4 lines, -4 lines 0 comments Download
M Documentation/fr/notation/fretted-strings.itely View 1 2 3 2 chunks +12 lines, -38 lines 0 comments Download
M Documentation/fr/notation/notation-appendices.itely View 2 chunks +4 lines, -4 lines 0 comments Download
M Documentation/included/chord-names-jazz.ly View 7 chunks +13 lines, -96 lines 0 comments Download
M Documentation/it/notation/notation-appendices.itely View 2 chunks +4 lines, -4 lines 0 comments Download
M Documentation/ja/notation/fretted-strings.itely View 1 2 3 3 chunks +8 lines, -36 lines 0 comments Download
M Documentation/notation/chords.itely View 1 2 3 4 2 chunks +15 lines, -17 lines 0 comments Download
M Documentation/notation/fretted-strings.itely View 1 2 3 2 chunks +10 lines, -37 lines 0 comments Download
M Documentation/notation/notation-appendices.itely View 1 2 3 4 3 chunks +10 lines, -6 lines 0 comments Download
A + Documentation/snippets/chord-names-alternative.ly View 9 chunks +236 lines, -89 lines 0 comments Download
M Documentation/snippets/chords.snippet-list View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M ly/chord-modifiers-init.ly View 2 chunks +15 lines, -34 lines 0 comments Download
M ly/engraver-init.ly View 1 2 3 1 chunk +0 lines, -2 lines 0 comments Download
M ly/property-init.ly View 1 2 3 1 chunk +0 lines, -4 lines 0 comments Download
M python/convertrules.py View 1 2 3 2 chunks +8 lines, -1 line 1 comment Download
D scm/chord-generic-names.scm View 1 chunk +0 lines, -292 lines 0 comments Download
M scm/chord-ignatzek-names.scm View 2 chunks +13 lines, -5 lines 0 comments Download
M scm/lily.scm View 1 chunk +0 lines, -1 line 0 comments Download
M scripts/musicxml2ly.py View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 6
Valentin Villenave
A slightly better example in Doc/notation/fretted-strings
3 years, 11 months ago (2018-12-17 22:16:44 UTC) #1
Valentin Villenave
Add new doc files (fixes `make’ and `make doc’).
3 years, 11 months ago (2018-12-19 22:20:28 UTC) #2
Valentin Villenave
Rebase onto current master
3 years, 11 months ago (2019-01-01 15:29:38 UTC) #3
Valentin Villenave
OK, let’s not create a new @rlsr section just yet.
3 years, 10 months ago (2019-01-08 20:16:57 UTC) #4
Valentin Villenave
Counted down, and pushed as https://git.savannah.gnu.org/cgit/lilypond.git/commit/?h=staging&id=78225bc1b386e12dc1d03a5d2c7a017c0a52a22d Thanks!
3 years, 10 months ago (2019-01-14 18:17:57 UTC) #5
dak
2 years, 10 months ago (2020-01-07 22:06:51 UTC) #6
Message was sent while issue was closed.
https://codereview.appspot.com/363880043/diff/80001/python/convertrules.py
File python/convertrules.py (right):

https://codereview.appspot.com/363880043/diff/80001/python/convertrules.py#ne...
python/convertrules.py:3980: if re.search (r"#[banter|jazz]-chord-names", str):
I have no idea what this regexp is actually supposed to be/do.  But it needs to
get fixed.  Any idea what this should be instead?

As it is, it matches a # followed by one of the letters abejntrz| and then
-chord-names .  This is very likely not what is intended here.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b